<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Topup Report All Clients</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:98%;
			margin:1%;
			padding:10px;
		}
		.div1 input, .div1 select{
			height:30px;
			width:180px;
			font-size:16px;
			padding:2px 7px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 10px 0 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:0 10px 10px 10px;
			overflow-x:auto;
		}
		.div2 table{
			width:96%;
			text-align:center;
			font-size:15px;
			border-collapse:collapse;
			padding:2px 10px;
			margin:2%;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:40px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input, .div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Topup Report All Clients :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
				<div class="div1">
				    <?php
				            if(isset($_POST['submit']))
							{
								$fdateValue = $_POST['fdate'];
								$ldateValue = $_POST['ldate'];
							}
							else
							{
							    $fdateValue = $date;
								$ldateValue = $date;
							}
							
				    ?>
				    <form method="post">
						<input type="date" name="fdate" value="<?php echo $fdateValue; ?>">
						<input type="date" name="ldate" value="<?php echo $ldateValue; ?>">
						<select name="status">
						    <option>ALL</option>
						    <option>APPROVED</option>
						    <option>PENDING</option>
						    <option>REJECTED</option>
						</select>
						<select name="dateType">
						    <option>Date</option>
						    <option>SettleDate</option>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
				    </form>
				
				</div>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Req.Id</th>
							<th>ReqType</th>
							<th>User</th>
							<th>Date Time</th>
							<th><i class="fa fa-inr"></i></th>
							<th>Discription</th>
							<th>Status</th>
							<th>Settlement</th>
						</tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								$status = $_POST['status'];
								$dateType = $_POST['dateType'];
								
								$totalPayment=0;
								$sl=0;
								if($status=="ALL")
								{
								    $quPayment="SELECT * FROM paymentreq WHERE Date>='$fdate' AND Date<='$ldate'";
								}
								else
								{
								    echo $quPayment="SELECT Date, SettleDate, Userid, SUM(Amount) AS Amt, BankId FROM paymentreq WHERE Status='$status' AND $dateType>='$fdate' AND $dateType<='$ldate' GROUP BY Userid, BankId ORDER BY Userid";
								}
								$rePayment=mysqli_query($con,$quPayment);
								$countPayment=mysqli_num_rows($rePayment);
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
									$usrName=getName($dataPayment['Userid']);
									if($dataPayment['BankId']==10)
									{
									    $firmName="MANSOORI TRADERS";
									}
									elseif($dataPayment['BankId']==9 || $dataPayment['BankId']==8)
									{
									    $firmName="MANSOORI ENTERPRISES (SAMEER)";
									}
									elseif($dataPayment['BankId']==7)
									{
									    $firmName="MANSOORI ENTERPRISES (ASIF)";
									}
									else
									{
									    $firmName=$dataPayment['BankId'];
									}
									
									echo"<tr>";
										echo "<td>".$dataPayment['Date']."</td>";
										echo "<td>".$dataPayment['SettleDate']."</td>";
										echo "<td>".$usrName." [".$dataPayment['Userid']."]</td>";
										echo "<td>".$dataPayment['Amt']."</td>";
										echo "<td>".$firmName."</td>";
									echo"</tr>";
									$totalPayment=$totalPayment+$dataPayment['Amt'];
								}
								if($countPayment<1)
								{
								    echo "<tr><td colspan='10'><center><h3 style='color:red'>Data Not Found !</h3></center></td></tr>";
								}
							}
							else
							{
								$sl=0;
								$quPayment="SELECT * FROM paymentreq ORDER BY Id DESC LIMIT 20";
								$rePayment=mysqli_query($con,$quPayment);
								$countPayment=mysqli_num_rows($rePayment);
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
									if($dataPayment['Status']=="REJECTED")
									{
										$color="red";
									}
									elseif($dataPayment['Status']=="APPROVED")
									{
										$color="green";
									}
									$usrName=getName($dataPayment['Userid']);
									echo"<tr>";
										echo "<td>".$dataPayment['Id']."</td>";
										echo "<td>".$dataPayment['reqType']."</td>";
										echo "<td>".$dataPayment['Date']." ".$dataPayment['Time']."</td>";
										echo "<td>".$usrName." [".$dataPayment['Userid']."]</td>";
										echo "<td>".$dataPayment['Amount']."</td>";
										echo "<td>".$dataPayment['Paymentdate']." ".$dataPayment['Bankname']." ".$dataPayment['Mode']." ".$dataPayment['Txnnumber']." ".$dataPayment['Responsemsg']."</td>";
										echo "<td><p id='$color'>".$dataPayment['Status']."</p></td>";
										echo "<td><p>".$dataPayment['SettleDate']."</p></td>";
									echo"</tr>";
									$totalPayment=$totalPayment+$dataPayment['Amount'];
								}
								if($countPayment<1)
								{
								    echo "<tr><td colspan='10'><center><h3 style='color:red'>Data Not Found !</h3></center></td></tr>";
								}
							}
							
							echo "<tr>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th>Total Amount</th>";
							    echo "<th>".$totalPayment."</th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							echo "</tr>";
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>